import { ViewBase } from '@nativescript/core';
import { Paint } from '../Paint';
import { Rect } from './Rect';
export declare class RoundedRect extends Rect {
    x: number;
    y: number;
    width: number;
    height: number;
    r: number;
    _children: Paint[];
    draw(): void;
    _addViewToNativeVisualTree(view: ViewBase, atIndex?: number): boolean;
}
